{% sw_extends '@Storefront/storefront/page/product-detail/buy-widget-form.html.twig' %}

{% block page_product_detail_buy_container %}
    {% set buyable = product.available and product.childCount <= 0 and product.calculatedMaxPurchase > 0 %}

    {% if buyable %}
        <div class="form-row buy-widget-container">
            {% block page_product_detail_buy_quantity_container %}
                <div class="col-2">
                    {% block page_product_detail_buy_quantity %}
                        <select name="lineItems[{{ product.id }}][quantity]"
                                class="custom-select product-detail-quantity-select">
                            {% for quantity in range(product.minPurchase, product.calculatedMaxPurchase, product.purchaseSteps) %}
                                <option value="{{ quantity }}">
                                    {{ quantity }}{% if product.packUnit %} {{ product.packUnit }}{% endif %}
                                </option>
                            {% endfor %}
                        </select>
                    {% endblock %}
                </div>
            {% endblock %}

            {% block page_product_detail_buy_redirect_input %}
                <input type="hidden"
                       name="redirectTo"
                       value="frontend.cart.offcanvas"/>
            {% endblock %}

            {% block page_product_detail_buy_product_buy_info %}
                <input type="hidden"
                       name="lineItems[{{ product.id }}][id]"
                       value="{{ product.id }}">
                <input type="hidden"
                       name="lineItems[{{ product.id }}][type]"
                       value="product">
                <input type="hidden"
                       name="lineItems[{{ product.id }}][referencedId]"
                       value="{{ product.id }}">
                <input type="hidden"
                       name="lineItems[{{ product.id }}][stackable]"
                       value="1">
                <input type="hidden"
                       name="lineItems[{{ product.id }}][removable]"
                       value="1">
            {% endblock %}

            {% block page_product_detail_buy_button_container %}
                <div class="col-10">
                    {% block page_product_detail_buy_button %}
                        <button class="btn btn-primary btn-block btn-buy"
                                title="{{ "detail.addProduct"|trans|striptags }}"
                                aria-label="{{ "detail.addProduct"|trans|striptags }}">
                            {{ "detail.addProduct"|trans|sw_sanitize }}
                        </button>
                    {% endblock %}
                </div>
            {% endblock %}
        </div>
    {% endif %}
{% endblock %}